Loading...
Searching...
No Matches
draw_bitmap.c File Reference

GRASS cairo display driver - draw bitmap. More...

`#include <grass/glocale.h>`
`#include "cairodriver.h"`
Include dependency graph for cairodriver/draw_bitmap.c:

Go to the source code of this file.

## Functions

void | Cairo_Bitmap (int ncols, int nrows, int threshold, const unsigned char *buf)
| Draw bitmap.

## Detailed Description

GRASS cairo display driver - draw bitmap.

(C) 2007-2008 by Lars Ahlzen and the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Lars Ahlzen <lars ahlzen.com> (original contributor)
  Glynn Clements

Definition in file cairodriver/draw_bitmap.c.

## Function Documentation

## Cairo_Bitmap()

void Cairo_Bitmap | ( | int | ncols,
|  | int | nrows,
|  | int | threshold,
|  | const unsigned char * | buf )

Draw bitmap.

Parameters

  ncols,nrows | number of columns and rows
  threshold | threshold value
  buf | data buffer

Definition at line 26 of file cairodriver/draw_bitmap.c.

References ca, cairo, cur_x, cur_y, G_debug(), and G_fatal_error().

Referenced by Cairo_Driver().